View Issue Details

IDProjectCategoryView StatusLast Update
0004708mantisbtcustomizationpublic2010-05-13 10:28
Reportertivonut Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status acknowledgedResolutionopen 
Product Version0.19.0 
Summary0004708: show status in email subject
Description

added the status to the email line

Additional Information
  • adjustments to the email_generic function
    $t_ok = email_bug_info_to_one_user( $t_visible_bug_data, $p_message_id, $t_project_id, $t_user_id,$p_notify_type ) && $t_ok;

  • changes to the email_bug_info_to_one_user function
    function email_bug_info_to_one_user( $p_visible_bug_data, $p_message_id, $p_project_id, $p_user_id ,$p_notify_type ) {

  • added $p_notify_type to $t_subject

TagsNo tags attached.

Relationships

child of 0004227 acknowledged Roadmap 1.0 - Templates 

Activities

thraxisp

thraxisp

2004-10-13 17:01

reporter   ~0008028

One disadvantage of this is that it breaks the subjact based threading in MS Outlook and other MUAs.

I think that this should be done in conjunction with the new email templates.

bugmenot

bugmenot

2007-02-28 05:03

reporter   ~0014116

Last edited: 2007-02-28 05:04

@thraxisp: That's because threading should be done using Message-ID and References or In-Reply-To headers, as per RFC (2076 AFAIR).

dlmueller

dlmueller

2007-05-09 02:37

reporter   ~0014465

Last edited: 2007-05-09 02:39

As the administrator of our company Mantis I receive a lot of notification e-mails. Most of them I can ignore.

As I am also involved in some projects as a developer or technical member I must scan all of the mails to check whether or not there are issues were I should be involved in this role.

Id would be nice if one could configure the mails subject line using a format string syntax with some placeholders for:

  • reporter
  • assigned to ('assignee')
  • last edit by ('lasteditby')
  • full project name ('projectname')
  • first X letters of the project name
  • current status ('status')
  • current resolution ('resolution')
  • fixed prefixes / suffixes / infixes

Using this I'd like to configure a subject line like the following (I'll use Python-Syntax for the format string):

"Issue for %(projectname).3s... %(id)05i %(status).3s %(reporter).3s / %(lasteditby).3s -> %(assignee).3s %(summary)s"

combined with the array

'projectname' -> 'ABCXYZ'
'id' -> 42
'reporter' -> 'tivonut'
'lasteditby' -> 'dlmueller'
'assignee' -> ''
'status' -> 'acknowledged'
'summary' -> 'show status in email subject'
...

should output

"Issue for ABC... 00042 ack tiv/dlm -> ___ show status in email subject" (where '_' should be a non breaking space)

This whould ensure a fixed size subject prefix (good for sorting), a fixed prefix string for filtering rules within the e-mail client and an easy customization.

Best regards
David

klkl

klkl

2010-01-12 10:39

reporter   ~0024132

Last edited: 2010-01-12 10:44

View 2 revisions

bugmenot 0004708:0014116 is right. Subject should not be used for threading, that's role of References/In-Reply-To headers. Those headers should work once 0010040 is fixed.

Issue History

Date Modified Username Field Change
2004-10-13 16:47 tivonut New Issue
2004-10-13 17:01 thraxisp Note Added: 0008028
2004-10-13 17:13 thraxisp Relationship added child of 0004227
2004-10-13 17:15 thraxisp Status new => acknowledged
2007-02-28 05:03 bugmenot Note Added: 0014116
2007-02-28 05:04 bugmenot Note Edited: 0014116
2007-05-09 02:37 dlmueller Note Added: 0014465
2007-05-09 02:38 dlmueller Note Edited: 0014465
2007-05-09 02:38 dlmueller Note Edited: 0014465
2007-05-09 02:39 dlmueller Note Edited: 0014465
2010-01-12 10:39 klkl Note Added: 0024132
2010-01-12 10:44 klkl Note Edited: 0024132 View Revisions